# Overview

If you're reading this on http://jujucharms.com then you've seen what it
can do. In short, this deploys [charmworld](http://launchpad.net/charmworld)
which is the [Charm Browser](http://jujucharms.com) and additional tools.

# Installation

You will need to have [Juju](http://juju.ubuntu.com) installed and a [Juju 
Environment bootstrapped](https://juju.ubuntu.com/docs/getting-started.html). 
To deploy charmworld you will need a MongoDB instance in addition to 
charmworld:

    juju deploy mongodb
    juju deploy charmworld

Once deployed relate mongodb to charmworld

    juju add-relation charmworld mongodb

Finally, expose charmworld to the Internet

    juju expose charmworld

You should now be able to get to charmworld via the URL provided in the 
output of `juju status`. **NOTE:** The initial set up of this charm will 
likely take upwards of ONE HOUR or more. This is due to the long and 
tedious process of ingesting the initial batch of charms. Future updates 
will take far less time. Be prepared to wait. How will you know when it's 
ready? Like all good charms the port won't open until after the charm is 
ready. So if you've run the `juju expose` command and you don't see any 
open ports listed in the `juju status` output (and no error states) then 
the set up hasn't finished.

# Configuration

There are the options you can configure for charmworld

## Ingest interval

Adjust this to increase or decrease the time between ingest runs. Cron will 
execute "scripts/ingest" which update and refresh the charm details, the 
information in each queue, and all other inbound related data points. The 
default for this is `15` mins, a value of `5` or more is recommended (as 
anything less than `5` will likely cause issues). To disable the cron set 
this value to `0`

    juju set charmworld execute-ingest-every=15

# Credits

Report charm bugs at: https://bugs.launchpad.net/charms/precise/+source/charmworld
Report system bugs at: https://bugs.launchpad.net/charmworld
Location: http://jujucharms.com/charms/precise/charmworld
